Jump to content
  • 0
Sign in to follow this  
Hairycary

Toast 10 And Leopard Compatability

Question

I have a MAC iBook G4 1.33 GHz running Mac OSX 10.5.8 1.5 GB Memory; I would like to download Toast 10 from amazon but I am not sure if it will run correctly on this hardware; any thoughts?

  • Like 1

Share this post


Link to post
Share on other sites

1 answer to this question

Recommended Posts

  • 0

Toast 10 should work for you. It's minimum system requirements are OS 10.5.x and a G4, G5 or Intel Mac. The optional Blu-ray plugin requires a G5 or Intel Mac.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×